M117 Heating Nozzle;
M140 S50		; Start heating bed, no wait
M42			; Case fan on
M109 S130		; Heat nozzle and wait
M106			; Cooling fans on.

M117 Retracting Filament;
M107			; Cooling fans off.
G91
G0 E-40 F2000
G4 S1
G90;

M117 Calibrate-Preheat;
M109 S250;
M190 S50;

M117 Calibrating Bed;
G32; 
M500;
G28;

M117 Setting Bed Height;
G0 Z50 F4000;
G38.2 Z-300;
M306 Z0
M500;
G28;

M117 Calibration Complete;
G28;
G91
G0 E40 F2000
G4 S1
G90;
M117;
M140 S0;
M104 S0;